#include <commctrl.h>

'IDB_STD_LARGE_COLOR and IDB_STD_SMALL_COLOR
SET tbbSTD[] AS TBBUTTON
 {STD_FILENEW,		100,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_FILEOPEN, 	101,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_FILESAVE, 	102,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {STD_PROPERTIES,	103,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_PRINTPRE, 	104,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_PRINT,		105,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {STD_CUT,		106,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_COPY,		107,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_PASTE,		108,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_DELETE,		109,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {STD_UNDO,		110,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_REDOW,		111,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {STD_FIND,		112,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {STD_REPLACE,		113,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {STD_HELP,		114,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0}
END SET

'IDB_VIEW_LARGE_COLOR and IDB_VIEW_SMALL_COLOR
SET tbbVIEW[] AS TBBUTTON
 {VIEW_LARGEICONS,	100,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_SMALLICONS,	101,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_LIST,		102,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_DETAILS,		103,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {VIEW_SORTNAME,	104,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_SORTSIZE,	105,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_SORTDATE,	106,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_SORTTYPE,	107,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {VIEW_NETCONNECT,	108,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_NETDISCONNECT,	109,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {0,			0,	TBSTATE_ENABLED, TBSTYLE_SEP,	 0, 0},
 {VIEW_NEWFOLDER,	110,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {VIEW_PARENTFOLDER,	111,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0}
END SET

'IDB_HIST_LARGE_COLOR and IDB_HIST_SMALL_COLOR
SET tbbHIST[] AS TBBUTTON
 {HIST_ADDTOFAVORITES,	100,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {HIST_FAVORITES,	101,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {HIST_BACK,		102,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {HIST_FORWARD,		103,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0},
 {HIST_VIEWTREE,	104,	TBSTATE_ENABLED, TBSTYLE_BUTTON, 0, 0}
END SET

'#####################################################################
'Create a Toolbar with a predefined Bitmapstripe from Comctl32.dll
'Arguments: hwndParent (The Parentwindow)
'           BMPId      (BitmapID One of the predefined IDB_XXX values)
'Return:    The Handle of the new Toolbar
FUNCTION CreateSTDToolBar(hwndParent AS HWND, BMPId AS UINT) AS HWND
  DIM hwndTB   AS HWND
  DIM RAW tbab AS TBADDBITMAP
  DIM RAW icex AS INITCOMMONCONTROLSEX
 
  icex.dwSize = sizeof(INITCOMMONCONTROLSEX)
  icex.dwICC = ICC_BAR_CLASSES
 
  ' Create a toolbar that the user can customize and that has a tooltip associated with it. 
  hwndTB = CreateWindowEx(0, TOOLBARCLASSNAME, "", WS_CHILD | TBSTYLE_TOOLTIPS | CCS_ADJUSTABLE, _
                          0, 0, 0, 0, hwndParent, (HMENU)ID_Tbar1, BCX_HINSTANCE, NULL)
 
  ' Send the TB_BUTTONSTRUCTSIZE message, which is required for backward compatibility. 
  SendMessage(hwndTB, TB_BUTTONSTRUCTSIZE, (WPARAM) sizeof(TBBUTTON), 0) 
 
  ' Add the bitmap containing button images to the toolbar. 
  tbab.hInst = HINST_COMMCTRL 
  tbab.nID   = BMPId
  SELECT CASE BMPId
    CASE IDB_STD_LARGE_COLOR, IDB_STD_SMALL_COLOR
      SendMessage(hwndTB, TB_ADDBITMAP, (WPARAM)15, (WPARAM)&tbab) 
      SendMessage(hwndTB, TB_ADDBUTTONS, (WPARAM)20, (LPARAM)(LPTBBUTTON)&tbbSTD)
    CASE IDB_VIEW_LARGE_COLOR, IDB_VIEW_SMALL_COLOR
      SendMessage(hwndTB, TB_ADDBITMAP, (WPARAM)12, (WPARAM)&tbab) 
      SendMessage(hwndTB, TB_ADDBUTTONS, (WPARAM)15, (LPARAM)(LPTBBUTTON)&tbbVIEW)
    CASE IDB_HIST_LARGE_COLOR, IDB_HIST_SMALL_COLOR
      SendMessage(hwndTB, TB_ADDBITMAP, (WPARAM)5, (WPARAM)&tbab) 
      SendMessage(hwndTB, TB_ADDBUTTONS, (WPARAM)5, (LPARAM)(LPTBBUTTON)&tbbHIST)
  END SELECT
  ShowWindow(hwndTB, SW_SHOW)
 FUNCTION = hwndTB
END FUNCTION
